> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Balance



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/accounts/{account_uuid}/balance
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/accounts/{account_uuid}/balance:
    get:
      tags:
        - Accounts
      summary: Get Account Balance
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: account_uuid
          in: path
      responses:
        '200':
          description: Account balance retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountBalanceResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Upstream balance provider returned an error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AccountBalanceResponse:
      type: object
      properties:
        current_balance:
          type: number
          description: Total credits in account before any holds
        available_balance:
          type: number
          description: Credits available for immediate use (current minus holds)
        pending_authorizations:
          type: number
          description: Total amount of active holds on the account
        currency:
          type: string
          enum:
            - USD
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - current_balance
        - available_balance
        - pending_authorizations
        - currency
        - updated_at
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````